import QR from '../../utils/QRcode';
const aes = require('./../../utils/aeskey.js');
Page({
  data: {
    className: '',
    isMessageShow: false,
    type: 'success',
    duration: 2000,
  },
  onLoad() {
    dd.setNavigationBar({ title: '会议室二维码' });
  },
  onShow() {
    this.generate()
  },
  // 生成二维码
  generate() {
    let timestamp = (new Date()).getTime();
    let url = aes.getAES(JSON.stringify({
      "timestamp": timestamp
    }))
    let size = 216
    let ecc = 2
    let name = 'myQrcode'
    const ctx = dd.createCanvasContext(name);
    setTimeout(function () {
      QR.draw(url, ctx, size, Number(ecc));
      dd.canvasToTempFilePath({
        x: 100,
        y: 200,
        width: 50,
        height: 50,
        destWidth: 100,
        destHeight: 100,
        canvasId: 'myCanvas',
        success(res) {
          console.log(res.tempFilePath,'111')
        }
      })

      // QR.toDataURL(url, size, Number(ecc));
    }, 100)
  },
  downloadImage() {
    const _that = this
    dd.downloadFile({
      url: 'http://img.alicdn.com/tfs/TB1x669SXXXXXbdaFXXXXXXXXXX-520-280.jpg',
      success({ filePath }) {
        _that.setData({
          isMessageShow: true,
          content: '下载成功'
        })
        setTimeout(function () {
          _that.setData({
            isMessageShow: false,
            content: '下载成功'
          })
        }, 50)

      },
      fail(res) {
        _that.setData({
          isMessageShow: true,
          type: 'error',
          content: '下载失败'
        })
        setTimeout(function () {
          _that.setData({
            isMessageShow: false
          })
        }, 500)
      },
    });
  }
});
