Page({
  data: {
    mettingRoomName: '', //会议室名称
    typePage: '', // 控制添加会议室还是会议室详情页面
    imgPath: '',// 图片路径
    isMessageShow: false, // 弹窗是否展示 提示信息
    type: 'success', // 弹窗的类型
    prompt: true, //开放预定
    preemption: true,// 会议室抢占
    check: false,// 会议室审批
    isModalShow: false,
    title: '',
    switchType: ''
  },
  onLoad(event) {
    console.log(event)
    dd.setNavigationBar({ title: '添加会议室' });
    this.setData({
      typePage: event.type
    })
  },
  // 上传图片
  uploadImg() {
    this.dealImg()
  },
  // 上传图片时的处理
  dealImg() {
    dd.chooseImage({
      count: 1,
      success: (res) => {
        // 压缩图片
        dd.compressImage({
          filePaths: [res.filePaths[0]],
          compressLevel: 0,
          success: (success) => {
            console.log(success, '压缩图片')
            this.setData({
              imgPath: success.filePaths[0]
            })
          }
        });
      },
    });
  },
  // 编辑图片
  editImg(event) {
    const _that = this
    console.log(event.detail.value)
    switch (event.detail.value) {
      case 0:
        this.uploadImg()
        break;
      case 1:
        // this.setData({
        //   imgPath:'',
        //   isMessageShow: true,
        //   content: '删除成功',
        //   duration: 800,
        // })
        this.setData({
          type: 'error',
          isMessageShow: true,
          content: '删除失败',
          duration: 800,
        })
        setTimeout(function (res) {
          _that.setData({
            isMessageShow: false,
          })
        }, 200)
        break;
    }
  },
  // 跳转下一页面
  toNext(event) {
    let next = event.target.dataset.next
    switch (next) {
      case 'officeArea':
        dd.navigateTo({
          url: '/pages/addMettingRoomOrDetail/addMettingRoomOrDetail?type=addMinting'
        })
        break;
      case 'configuration':
        dd.navigateTo({
          url: '/pages/configuration/configuration'
        })
        break;
      case 'mettingRoomClass':
        dd.navigateTo({
          url: '/pages/mettingRoomClass/mettingRoomClass'
        })
        break;
      case 'officeAreaManagement':
        dd.navigateTo({
          url: '/pages/addMettingRoomOrDetail/addMettingRoomOrDetail?addMinting'
        })
        break;
      case 'scheduledTimeSetting':
        dd.navigateTo({
          url: '/pages/scheduledTimeSetting/scheduledTimeSetting'
        })
        break;

    }

  },
  // 按钮是否打开
  switchChange(event) {
    console.log(event)
    switch (event.currentTarget.dataset.isOpen) {
      case 'prompt':
        let stauts = !this.data.prompt
        this.setData({
          prompt: event.detail.value
        })
        break;
      case 'preemption':
        if (event.detail.value) {
          this.setData({
            check: false
          })
        }
        this.setData({
          preemption: event.detail.value
        })
        // if(this.data.check) {
        //   this.setData({
        //     isModalShow: true,
        //     preemption: false,
        //     switchType: 'preemption',
        //     title: '开启抢占将关闭审批功能'
        //   })
        // }else {
        //   this.setData({
        //     preemption: event.detail.value
        //   })
        // }
        break;
      case 'check':
        if (event.detail.value) {
          this.setData({
            preemption: false
          })
        }
        this.setData({
          check: event.detail.value
        })
        // if(this.data.preemption) {
        //   this.setData({
        //     title: '开启审批将关闭抢占功能',
        //     isModalShow: true,
        //     check: false,
        //     switchType: 'check'
        //   })
        // }else {
        //   this.setData({
        //     check: event.detail.value
        //   })
        // }
        break;
    }
  },
  onDmBtnTap(event) {
    if (event.target.dataset.index == 0) {
      this.setData({
        title: '',
        isModalShow: false
      })
    } else {
      if (this.data.switchType == 'check') {
        this.setData({
          check: true,
          preemption: false,
          isModalShow: false
        })
      } else {
        this.setData({
          check: false,
          preemption: true,
          isModalShow: false
        })
      }
    }
  }

});
